%define build_timestamp %(date +"%Y%m%d")

Name:           gstreamer1-plugins-rs 
Version:	git.%{build_timestamp}
Release:        1%{?dist}
Epoch:		1
Summary:        GStreamer plugins written in rust

License:        MIT
URL:            https://gitlab.freedesktop.org/gstreamer/gst-plugins-rs
Source0:	gstreamer1-plugins-rs-git.%{build_timestamp}.tar.gz

BuildRequires:  gstreamer1-devel gstreamer1-plugins-base-devel cargo openssl-libs openssl-devel csound-devel libdav1d-devel cairo-devel pango-devel cairo-gobject-devel llvm-devel clang-devel
Requires:       gstreamer1 gstreamer1-plugins-good gstreamer1-plugins-bad-free gstreamer1-plugins-ugly-free gstreamer1-libav csound libdav1d cairo pango cairo-gobject

%description
GStreamer plugins written in rust

%prep
%setup -q


%build
MACHINE_TYPE=`uname -m`
if [ ${MACHINE_TYPE} == 'x86_64' ]; then
  echo 64bit arch detected
  export CSOUND_LIB_DIR=/usr/lib64
else
  echo 32bit arch detected
  export CSOUND_LIB_DIR=/usr/lib
fi
%make_build


%install
%make_install

%files
%{_libdir}/gstreamer-1.0/*.so

%changelog
* Tue Aug 15 2017 T. Isaac Lightburn <isaac@hozed.net>
Initial packaging attempt
- 
